﻿using System;
using System.Runtime.InteropServices;

namespace HUDOneRR
{
    [Guid("23520218-6327-4364-99A0-980607359E41")]
    public interface IRRExtension
    {
        int ProcessCommand(ref string CMD, object frm);

        string ReturnLabel(string LBL, string FMT);

        string ReturnIndicator(string IND);

        string ReturnIndicatorEx(string IND);

        void IndicatorClick(ref string IND);

        long ReturnSlider(string IND);

        void Enabled(bool status);

        string Properties(string item);

        void Initialize(string pluginDataPath);

        void Terminate();

        void About(object frm);

        void Settings(object frm);
    }
}
